Name:           chroma
Version:        1.20
Release:        %mkrel 1
Summary:        Abstract puzzle game with complex patterns of colourful shapes
License:        GPLv2+
Group:          Games/Puzzles
Url:            http://www.level7.org.uk/chroma/
Source0:        http://www.level7.org.uk/chroma/download/%{name}-%{version}.tar.bz2
Source1:        %{name}.svg
Source2:        %{name}-curses.svg
Patch0:         chroma-1.17-use-cflags.patch

BuildRequires:  imagemagick
BuildRequires:  pkgconfig(freetype2)
BuildRequires:  pkgconfig(ncurses)
BuildRequires:  pkgconfig(sdl)
BuildRequires:  pkgconfig(SDL_image)

%description
Chroma is an abstract puzzle game. A variety of colourful shapes
are arranged in a series of increasingly complex patterns, forming
fiendish traps that must be disarmed and mysterious puzzles that
must be manipulated in order to give up their subtle secrets.
Initially so straightforward that anyone can pick it up and begin
to play, yet gradually becoming difficult enough to tax even
the brightest of minds.

Have you got what it takes to solve Chroma?

%prep
%autosetup -p1

%build
autoreconf -fi
%configure \
  --bindir=%{_gamesbindir} \
  --datadir=%{_gamesdatadir}
%make_build

%install
%make_install

# Generate and install icons
for bin in %{name} %{name}-curses; do
  install -D -m644 %{_sourcedir}/%{name}.svg \
    %{buildroot}%{_iconsdir}/hicolor/scalable/apps/%{name}.svg
  for size in 48x48 256x256; do
    install -d %{buildroot}%{_iconsdir}/hicolor/${size}/apps
    convert -background transparent %{_sourcedir}/${bin}.svg -resize ${size} \
      %{buildroot}%{_iconsdir}/hicolor/${size}/apps/${bin}.png
  done
done

# Desktop entries
install -d %{buildroot}%{_datadir}/applications

cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=Chroma
Comment=Abstract puzzle game
Exec=%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=Game;BlocksGame;
EOF

cat > %{buildroot}%{_datadir}/applications/%{name}-curses.desktop << EOF
[Desktop Entry]
Name=Chroma (console version)
Comment=Abstract puzzle game (console version)
Exec=%{name}-curses
Icon=%{name}-curses
Terminal=true
Type=Application
Categories=Game;BlocksGame;
EOF

%files
%doc help/README COPYING CHANGELOG
%{_datadir}/applications/%{name}.desktop
%{_datadir}/applications/%{name}-curses.desktop
%{_gamesbindir}/%{name}
%{_gamesbindir}/%{name}-curses
%{_gamesdatadir}/%{name}/
%{_iconsdir}/hicolor/*/apps/%{name}.*
%{_iconsdir}/hicolor/*/apps/%{name}-curses.*


%changelog
* Fri Mar 25 2022 akien <akien> 1.20-1.mga9
+ Revision: 1825792
- Version 1.20

* Mon Jun 21 2021 akien <akien> 1.18-1.mga9
+ Revision: 1731498
- Version 1.18

* Wed Oct 21 2020 akien <akien> 1.17-3.mga8
+ Revision: 1637622
- Fix build with GCC 10 by not inlining C functions
- Apply CFLAGS which were ignored

* Sat Feb 15 2020 umeabot <umeabot> 1.17-2.mga8
+ Revision: 1526249
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Wed May 01 2019 akien <akien> 1.17-1.mga7
+ Revision: 1395983
- Version 1.17

* Thu Feb 07 2019 daviddavid <daviddavid> 1.16-1.mga7
+ Revision: 1363734
- new version: 1.16

* Sat Sep 22 2018 umeabot <umeabot> 1.15-7.mga7
+ Revision: 1296130
- Mageia 7 Mass Rebuild

* Tue Sep 26 2017 cjw <cjw> 1.15-6.mga7
+ Revision: 1159861
- patch0: fix build with gcc 7

* Sat Feb 13 2016 umeabot <umeabot> 1.15-5.mga6
+ Revision: 959695
- Mageia 6 Mass Rebuild

* Fri Oct 23 2015 akien <akien> 1.15-4.mga6
+ Revision: 894738
- Rebuild for Cauldron

* Wed Oct 15 2014 umeabot <umeabot> 1.15-3.mga5
+ Revision: 746622
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.15-2.mga5
+ Revision: 678385
- Mageia 5 Mass Rebuild

* Tue Jul 22 2014 akien <akien> 1.15-1.mga5
+ Revision: 655705
- imported package chroma

